'use strict';

var invariant = require('invariant');
var _require = require('react'),
  unstable_getCacheForType = _require.unstable_getCacheForType,
  unstable_getCacheSignal = _require.unstable_getCacheSignal;
var _require2 = require('relay-runtime'),
  RelayFeatureFlags = _require2.RelayFeatureFlags;
function getCacheForType(factory) {
  !(typeof unstable_getCacheForType === 'function' && RelayFeatureFlags.USE_REACT_CACHE) ? process.env.NODE_ENV !== "production" ? invariant(false, 'RelayReactCache.getCacheForType should only be called when the USE_REACT_CACHE feature flag is enabled and when on an experimental React build that supports it.') : invariant(false) : void 0;
  return unstable_getCacheForType(factory);
}
function getCacheSignal() {
  !(typeof unstable_getCacheSignal === 'function' && RelayFeatureFlags.USE_REACT_CACHE) ? process.env.NODE_ENV !== "production" ? invariant(false, 'RelayReactCache.getCacheSignal should only be called when the USE_REACT_CACHE feature flag is enabled and when on an experimental React build that supports it.') : invariant(false) : void 0;
  return unstable_getCacheSignal();
}
module.exports = {
  getCacheForType: getCacheForType,
  getCacheSignal: getCacheSignal
};